{ pkgs ? import <nixpkgs> { } }:

let
  unstable = import (fetchTarball https://github.com/NixOS/nixpkgs/archive/nixos-unstable.tar.gz) { };
  jdk = unstable.jdk23;
in

pkgs.mkShell {
  buildInputs = with pkgs; [
    jdk
    (callPackage gradle-packages.gradle_8 {
      java = jdk;
    })
  ];
}
